#ifndef DES_H_INC
#define DES_H_INC

typedef struct
{
	unsigned long ek[32];
	unsigned long dk[32];
}des_ctx;

void des_key(des_ctx* dc,unsigned char* key);
void des_enc(des_ctx* dc,unsigned char* data,int blocks);
void des_dec(des_ctx* dc,unsigned char* data,int blocks);


#endif